using SqlSugar;
using System;
using System.ComponentModel;

namespace DeviceRepairAndOptimization.Models
{
    [SugarTable("DriveRepairLogs")]
    public class DriveRepairLogs
    {
        /// <summary>
        /// 自增长主键
        /// <summary>
        [DisplayName("自增长主键")]
        [SugarColumn(IsPrimaryKey = true, IsIdentity = true)]
        public int AutoID { get; set; }

        /// <summary>
        /// 设备表主键编号
        /// <summary>
        [DisplayName("设备编号")]
        [SugarColumn(ColumnName = "EquipmentID")]
        public int EquipmentID { get; set; }

        /// <summary>
        /// 报修单元
        /// <summary>
        [DisplayName("报修单元")]
        [SugarColumn(ColumnName = "RepairUnit")]
        public string RepairUnit { get; set; }

        /// <summary>
        /// 单元长--员工表主键
        /// <summary>
        [DisplayName("单元长")]
        [SugarColumn(ColumnName = "UnitLeader")]
        public int UnitLeader { get; set; }

        /// <summary>
        /// 故障描述
        /// <summary>
        [DisplayName("故障描述")]
        [SugarColumn(ColumnName = "FaultDescription")]
        public string FaultDescription { get; set; }

        /// <summary>
        /// 维修人员
        /// <summary>
        [DisplayName("维修人员")]
        [SugarColumn(ColumnName = "RepairPersonnel")]
        public int RepairPersonnel { get; set; }

        /// <summary>
        /// 维修人姓名
        /// </summary>
        [SugarColumn(IsIgnore = true)]
        public string RepairPersonnelName { get; set; }

        /// <summary>
        /// 维修日期
        /// <summary>
        [DisplayName("维修日期")]
        [SugarColumn(ColumnName = "RepairDate")]
        public DateTime? RepairDate { get; set; }

        /// <summary>
        /// 有无产品评估信息 - 0:无 1:有
        /// <summary>
        [DisplayName("有无产品评估信息")]
        [SugarColumn(ColumnName = "EvaluateInfo")]
        public int EvaluateInfo { get; set; }
    }
}